Bug 517930 - Tracker does not index common document types such as openoffice odt files
Summary: Tracker does not index common document types such as openoffice odt files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 22:56 UTC by srh
Modified: 2009-09-24 05:10 UTC (History)
1 user (show)

Fixed In Version: 0.6.95-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 05:10:04 UTC


Attachments (Terms of Use)

Description srh 2009-08-17 22:56:53 UTC
Description of problem:
According to the tracker website, tracker is supposed to index 'Documents'. While there are many document types out there, it seems appropriate that Openoffice *.odt and MS Word *.doc files would be considered mainstream documents of interest for indexing.

When tracker is installed, tracker does not index the odt and doc files. After searching around and finding Ubuntu complaints about the same thing, it seems that other packages need to be installed to provide the tools to convert doc and odt files etc to text format so tracker can index them. 

After playing around, installing the following packages that are already available in Fedora repositories allowed tracker to index lots of more common file types:

odt2txt o3read ooo2txt wv gnumeric w3m (not sure which ones are the needed ones)

Then doing a brand new re-index (right click tracker icon, 'Re-index') allowed tracker to index lots more of my common file types, making tracker far more useful.

Most people would not have a clue as to which extra packages need to be installed for common file types. I suggest that installing tracker automatically pulls in (dependencies) a range of other packages so that tracker seems to work properly out of the box.

I suggest pulling in whatever packages are required for:
Openoffice odt, ods, odp
MS doc, xls, ppt
HTML
PDF (tool already included with evince???)

Up to now, I just thought that tracker was not very good or capable of searching various file types.


Version-Release number of selected component (if applicable):
Name       : tracker
Arch       : i586
Version    : 0.6.95
Release    : 1.fc11
Size       : 2.9 M

How reproducible:
Always

Steps to Reproduce:
1.Install tracker
2.Wait for indexing to occur.
3.Search with tracker for content in a odt file = Can't find it.
  
Expected results:
Installing tracker allows indexing out of the box of common 'Document' file types, as listed above.

Comment 1 Fedora Update System 2009-08-30 03:29:17 UTC
tracker-0.6.95-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tracker-0.6.95-2.fc11

Comment 2 Fedora Update System 2009-08-31 23:28:08 UTC
tracker-0.6.95-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tracker'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9116

Comment 3 srh 2009-09-15 21:46:16 UTC
Installed tracker-0.6.95-2.fc11 from testing repo. Seems to work ok. It didn't drag in any more packages for me, but I may have already installed those extra new explicitly required packages.

Comment 4 Fedora Update System 2009-09-24 05:09:59 UTC
tracker-0.6.95-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.